<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_28c85ce81fee65329802628" . "93b6f2425" => base64_decode("dXNlcm5" . "hbWU="), "_8cca4dd34e" . "20c5344bb2a" . "30f2533c4e5" => base64_decode("ZnVsbF9uYW1" . "l"), "us" . "er" . "_i" . "d" => base64_decode("dXNlcl9" . "pZA=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_8cca4dd34e20c534" . "4bb2a30f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_28c85ce81fee6532980262893b6f242" . "5"]);
    }
}